/*
  PKM_Delta.h - Test library for Delta Robot Inverse Kinematics
  Copyright (c) 2009 Torsten Voigt, Inverse Kinemtics based on PHD Thesis by R.Stamper
  All right reserved.
*/

// ensure this library description is only included once
#ifndef PKM_Delta_h
#define PKM_Delta_h

// include types & constants of Wiring core API
#include "WProgram.h"

// library interface description
class PKM_Delta
{
  // user-accessible "public" interface
  public:
	PKM_Delta(double base_radius,double thigh_length,double tibia_length,double moving_base_radius,double spacing_angle_1,double spacing_angle_2);
    void get_leg_angles(double *point,double *leg_angle);

  // library-accessible "private" interface
  private:
	double compute_leg_i(double *pt,int _i);
    double _r;
	double _a;
	double _b;
	double _c;
	double spacing_angle_1;
	double spacing_angle_2;
	double cos_teta0[3];
	double sin_teta0[3];
	double angle;
};

#endif

